petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDSSetAdjacency

Set the flags for determining variable influence

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetAdjacency(PetscDS prob, PetscInt f, PetscBool useCone, PetscBool useClosure)

Not collective

### Input Parameters

| prob | - The PetscDS object
| f | - The field number
| useCone | - Flag for variable influence starting with the cone operation
| useClosure | - Flag for variable influence using transitive closure

Note: See the discussion in DMPlexGetAdjacencyUseCone() and DMPlexGetAdjacencyUseClosure()

### See Also

PetscDSGetAdjacency(), DMPlexGetAdjacencyUseCone(), DMPlexGetAdjacencyUseClosure(), PetscDSSetDiscretization(), PetscDSAddDiscretization(), PetscDSGetNumFields(), PetscDSCreate()

### Level

developer

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages